> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Send greeting button clicked



## OpenAPI

````yaml /api/customer-chat/v3.7/openapi.json post /action/send_greeting_button_clicked
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.7'
servers:
  - url: https://api.livechatinc.com/v3.7/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/send_greeting_button_clicked:
    post:
      tags:
        - Other
      summary: Send greeting button clicked
      operationId: send-greeting-button-clicked
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendGreetingButtonClickedRequest'
            example:
              greeting_unique_id: Q10X0W041P
              button_id: 20ff0b3f-fbed-49f4-b13f-788c9ec66f03
      responses:
        '200':
          description: Greeting button click sent.
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    SendGreetingButtonClickedRequest:
      type: object
      required:
        - greeting_unique_id
        - button_id
      properties:
        greeting_unique_id:
          type: string
          description: >-
            Unique greeting ID. You can get it from the `incoming_greeting`
            push.
        button_id:
          type: string
          description: The greeting button ID.
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````